> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ttapi.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Flux1.1[pro] Ultra API 文档

> 使用 Flux1.1[pro] Ultra API 生成更高分辨率、更强细节表现的 AI 图像，满足高端视觉内容生产需求。



## OpenAPI

````yaml openapi/cn/flux.json POST /bfl/v1/flux-pro-1.1-ultra
openapi: 3.1.0
info:
  title: Flux API DOCS
  version: 1.0.0
  description: TTAPI Flux API 接口服务，目前集成了市场上最为领先的视频大模型sora2。
servers:
  - url: https://api.ttapi.io
security: []
paths:
  /bfl/v1/flux-pro-1.1-ultra:
    post:
      description: >-
        根据文本提示使用 Flux Pro 1.1 Ultra 模型生成 或者编辑图像。<a
        href='https://docs.bfl.ai/api/tasks/generate-an-image-with-flux-11-[pro]-with-ultra-mode-and-optional-raw-mode'
        target='_blank'>官方文档地址</a>
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UltraRequest'
      responses:
        '200':
          $ref: '#/components/responses/SuccessResponse'
        '400':
          $ref: '#/components/responses/400Response'
        '401':
          $ref: '#/components/responses/401Response'
      security:
        - CustomApiKey: []
components:
  schemas:
    UltraRequest:
      type: object
      properties:
        prompt:
          type: string
          description: 生成图像描述词。注意：Flux支持多语言理解能力，但实测英文最佳。
        aspect_ratio:
          type: string
          example: '21:9'
          description: 图像比例
          enum:
            - '21:9'
            - '9:21'
        image_prompt:
          type: string
          description: 参考图像，base64值
        raw:
          type: string
          description: 生成处理程度更低、更自然的图像 默认 false
        seed:
          type: string
          description: 随机种子
        output_format:
          type: string
          description: 输出格式
          example: jpeg
          enum:
            - jpeg
            - png
        prompt_upsampling:
          type: boolean
          description: 是否对提示采样true - 是   false - 否
          example: 'false'
          enum:
            - 'false'
            - 'true'
        safety_tolerance:
          type: integer
          description: 输入和输出调节的容差水平。在0到6之间，0表示最严格，6表示最宽松 默认：2
          example: '2'
        webhook_url:
          type: string
          description: 异步回调地址
      required:
        - prompt
  responses:
    SuccessResponse:
      description: 请求成功
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                example: SUCCESS
              message:
                type: string
                example: success
              data:
                type: object
                example:
                  jobId: jobId
            required:
              - status
              - message
              - data
    400Response:
      description: 参数错误
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                example: FAILED
              message:
                type: string
                example: '"prompt" cannot be empty.'
              data:
                type: object
            required:
              - status
              - message
    401Response:
      description: 授权失败
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                example: FAILED
              message:
                type: string
                example: Wrong TT-API-KEY or email is not activated.
            required:
              - status
              - message
  securitySchemes:
    CustomApiKey:
      type: apiKey
      in: header
      name: TT-API-KEY
      description: >-
        请前往 <a href='https://dashboard.ttapi.io' target='_blank'>TTAPI 控制台</a>
        获取 API 密钥。

````